package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItembuygiftCreateactivityRequest struct {
	/*
	   创建活动请求入参     */
	Param *domain.AlibabaWdkMarketingItembuygiftCreateactivityItemBuyGiftActivity `json:"param" required:"true" `
}

func (s *AlibabaWdkMarketingItembuygiftCreateactivityRequest) SetParam(v domain.AlibabaWdkMarketingItembuygiftCreateactivityItemBuyGiftActivity) *AlibabaWdkMarketingItembuygiftCreateactivityRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkMarketingItembuygiftCreateactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItembuygiftCreateactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
